Package com.omnisci.thrift.calciteserver

## Class TUserDefinedTableFunction

- java.lang.Object
- - com.omnisci.thrift.calciteserver.TUserDefinedTableFunction

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TUserDefinedTableFunction>`, `org.apache.thrift.TBase<TUserDefinedTableFunction,​TUserDefinedTableFunction._Fields>`, `org.apache.thrift.TSerializable`

    public class TUserDefinedTableFunction
    extends Object
    implements org.apache.thrift.TBase<TUserDefinedTableFunction,​TUserDefinedTableFunction._Fields>, Serializable, Cloneable, Comparable<TUserDefinedTableFunction>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TUserDefinedTableFunction._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<Map<String,​String>>` `annotations`
`List<TExtArgumentType>` `inputArgTypes`
`static Map<TUserDefinedTableFunction._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `name`
`List<TExtArgumentType>` `outputArgTypes`
`int` `sizerArgPos`
`TOutputBufferSizeType` `sizerType`
`List<TExtArgumentType>` `sqlArgTypes`

### Constructor Summary

Constructors
`TUserDefinedTableFunction()`
`TUserDefinedTableFunction​(TUserDefinedTableFunction other)` Performs a deep copy on other.
`TUserDefinedTableFunction​(String name, TOutputBufferSizeType sizerType, int sizerArgPos, List<TExtArgumentType> inputArgTypes, List<TExtArgumentType> outputArgTypes, List<TExtArgumentType> sqlArgTypes, List<Map<String,​String>> annotations)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToAnnotations​(Map<String,​String> elem)`
`void` `addToInputArgTypes​(TExtArgumentType elem)`
`void` `addToOutputArgTypes​(TExtArgumentType elem)`
`void` `addToSqlArgTypes​(TExtArgumentType elem)`
`void` `clear()`
`int` `compareTo​(TUserDefinedTableFunction other)`
`TUserDefinedTableFunction` `deepCopy()`
`boolean` `equals​(TUserDefinedTableFunction that)`
`boolean` `equals​(Object that)`
`TUserDefinedTableFunction._Fields` `fieldForId​(int fieldId)`
`List<Map<String,​String>>` `getAnnotations()`
`Iterator<Map<String,​String>>` `getAnnotationsIterator()`
`int` `getAnnotationsSize()`
`Object` `getFieldValue​(TUserDefinedTableFunction._Fields field)`
`List<TExtArgumentType>` `getInputArgTypes()`
`Iterator<TExtArgumentType>` `getInputArgTypesIterator()`
`int` `getInputArgTypesSize()`
`String` `getName()`
`List<TExtArgumentType>` `getOutputArgTypes()`
`Iterator<TExtArgumentType>` `getOutputArgTypesIterator()`
`int` `getOutputArgTypesSize()`
`int` `getSizerArgPos()`
`TOutputBufferSizeType` `getSizerType()`
`List<TExtArgumentType>` `getSqlArgTypes()`
`Iterator<TExtArgumentType>` `getSqlArgTypesIterator()`
`int` `getSqlArgTypesSize()`
`int` `hashCode()`
`boolean` `isSet​(TUserDefinedTableFunction._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetAnnotations()` Returns true if field annotations is set (has been assigned a value) and false otherwise
`boolean` `isSetInputArgTypes()` Returns true if field inputArgTypes is set (has been assigned a value) and false otherwise
`boolean` `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
`boolean` `isSetOutputArgTypes()` Returns true if field outputArgTypes is set (has been assigned a value) and false otherwise
`boolean` `isSetSizerArgPos()` Returns true if field sizerArgPos is set (has been assigned a value) and false otherwise
`boolean` `isSetSizerType()` Returns true if field sizerType is set (has been assigned a value) and false otherwise
`boolean` `isSetSqlArgTypes()` Returns true if field sqlArgTypes is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TUserDefinedTableFunction` `setAnnotations​(List<Map<String,​String>> annotations)`
`void` `setAnnotationsIsSet​(boolean value)`
`void` `setFieldValue​(TUserDefinedTableFunction._Fields field, Object value)`
`TUserDefinedTableFunction` `setInputArgTypes​(List<TExtArgumentType> inputArgTypes)`
`void` `setInputArgTypesIsSet​(boolean value)`
`TUserDefinedTableFunction` `setName​(String name)`
`void` `setNameIsSet​(boolean value)`
`TUserDefinedTableFunction` `setOutputArgTypes​(List<TExtArgumentType> outputArgTypes)`
`void` `setOutputArgTypesIsSet​(boolean value)`
`TUserDefinedTableFunction` `setSizerArgPos​(int sizerArgPos)`
`void` `setSizerArgPosIsSet​(boolean value)`
`TUserDefinedTableFunction` `setSizerType​(TOutputBufferSizeType sizerType)`
`void` `setSizerTypeIsSet​(boolean value)`
`TUserDefinedTableFunction` `setSqlArgTypes​(List<TExtArgumentType> sqlArgTypes)`
`void` `setSqlArgTypesIsSet​(boolean value)`
`String` `toString()`
`void` `unsetAnnotations()`
`void` `unsetInputArgTypes()`
`void` `unsetName()`
`void` `unsetOutputArgTypes()`
`void` `unsetSizerArgPos()`
`void` `unsetSizerType()`
`void` `unsetSqlArgTypes()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public String name

#### sizerType

    public TOutputBufferSizeType sizerType

See Also:
  `TOutputBufferSizeType`

#### sizerArgPos

    public int sizerArgPos

#### inputArgTypes

    public List<TExtArgumentType> inputArgTypes

#### outputArgTypes

    public List<TExtArgumentType> outputArgTypes

#### sqlArgTypes

    public List<TExtArgumentType> sqlArgTypes

#### annotations

    public List<Map<String,​String>> annotations

#### metaDataMap

    public static final Map<TUserDefinedTableFunction._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TUserDefinedTableFunction

    public TUserDefinedTableFunction()

#### TUserDefinedTableFunction

    public TUserDefinedTableFunction​(String name,
                                     TOutputBufferSizeType sizerType,
                                     int sizerArgPos,
                                     List<TExtArgumentType> inputArgTypes,
                                     List<TExtArgumentType> outputArgTypes,
                                     List<TExtArgumentType> sqlArgTypes,
                                     List<Map<String,​String>> annotations)

#### TUserDefinedTableFunction

    public TUserDefinedTableFunction​(TUserDefinedTableFunction other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TUserDefinedTableFunction deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TUserDefinedTableFunction,​TUserDefinedTableFunction._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TUserDefinedTableFunction,​TUserDefinedTableFunction._Fields>`

#### getName

    public String getName()

#### setName

    public TUserDefinedTableFunction setName​(String name)

#### unsetName

    public void unsetName()

#### isSetName

    public boolean isSetName()

Returns true if field name is set (has been assigned a value) and false otherwise

#### setNameIsSet

    public void setNameIsSet​(boolean value)

#### getSizerType

    public TOutputBufferSizeType getSizerType()

See Also:
  `TOutputBufferSizeType`

#### setSizerType

    public TUserDefinedTableFunction setSizerType​(TOutputBufferSizeType sizerType)

See Also:
  `TOutputBufferSizeType`

#### unsetSizerType

    public void unsetSizerType()

#### isSetSizerType

    public boolean isSetSizerType()

Returns true if field sizerType is set (has been assigned a value) and false otherwise

#### setSizerTypeIsSet

    public void setSizerTypeIsSet​(boolean value)

#### getSizerArgPos

    public int getSizerArgPos()

#### setSizerArgPos

    public TUserDefinedTableFunction setSizerArgPos​(int sizerArgPos)

#### unsetSizerArgPos

    public void unsetSizerArgPos()

#### isSetSizerArgPos

    public boolean isSetSizerArgPos()

Returns true if field sizerArgPos is set (has been assigned a value) and false otherwise

#### setSizerArgPosIsSet

    public void setSizerArgPosIsSet​(boolean value)

#### getInputArgTypesSize

    public int getInputArgTypesSize()

#### getInputArgTypesIterator

    public Iterator<TExtArgumentType> getInputArgTypesIterator()

#### addToInputArgTypes

    public void addToInputArgTypes​(TExtArgumentType elem)

#### getInputArgTypes

    public List<TExtArgumentType> getInputArgTypes()

#### setInputArgTypes

    public TUserDefinedTableFunction setInputArgTypes​(List<TExtArgumentType> inputArgTypes)

#### unsetInputArgTypes

    public void unsetInputArgTypes()

#### isSetInputArgTypes

    public boolean isSetInputArgTypes()

Returns true if field inputArgTypes is set (has been assigned a value) and false otherwise

#### setInputArgTypesIsSet

    public void setInputArgTypesIsSet​(boolean value)

#### getOutputArgTypesSize

    public int getOutputArgTypesSize()

#### getOutputArgTypesIterator

    public Iterator<TExtArgumentType> getOutputArgTypesIterator()

#### addToOutputArgTypes

    public void addToOutputArgTypes​(TExtArgumentType elem)

#### getOutputArgTypes

    public List<TExtArgumentType> getOutputArgTypes()

#### setOutputArgTypes

    public TUserDefinedTableFunction setOutputArgTypes​(List<TExtArgumentType> outputArgTypes)

#### unsetOutputArgTypes

    public void unsetOutputArgTypes()

#### isSetOutputArgTypes

    public boolean isSetOutputArgTypes()

Returns true if field outputArgTypes is set (has been assigned a value) and false otherwise

#### setOutputArgTypesIsSet

    public void setOutputArgTypesIsSet​(boolean value)

#### getSqlArgTypesSize

    public int getSqlArgTypesSize()

#### getSqlArgTypesIterator

    public Iterator<TExtArgumentType> getSqlArgTypesIterator()

#### addToSqlArgTypes

    public void addToSqlArgTypes​(TExtArgumentType elem)

#### getSqlArgTypes

    public List<TExtArgumentType> getSqlArgTypes()

#### setSqlArgTypes

    public TUserDefinedTableFunction setSqlArgTypes​(List<TExtArgumentType> sqlArgTypes)

#### unsetSqlArgTypes

    public void unsetSqlArgTypes()

#### isSetSqlArgTypes

    public boolean isSetSqlArgTypes()

Returns true if field sqlArgTypes is set (has been assigned a value) and false otherwise

#### setSqlArgTypesIsSet

    public void setSqlArgTypesIsSet​(boolean value)

#### getAnnotationsSize

    public int getAnnotationsSize()

#### getAnnotationsIterator

    public Iterator<Map<String,​String>> getAnnotationsIterator()

#### addToAnnotations

    public void addToAnnotations​(Map<String,​String> elem)

#### getAnnotations

    public List<Map<String,​String>> getAnnotations()

#### setAnnotations

    public TUserDefinedTableFunction setAnnotations​(List<Map<String,​String>> annotations)

#### unsetAnnotations

    public void unsetAnnotations()

#### isSetAnnotations

    public boolean isSetAnnotations()

Returns true if field annotations is set (has been assigned a value) and false otherwise

#### setAnnotationsIsSet

    public void setAnnotationsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TUserDefinedTableFunction._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TUserDefinedTableFunction,​TUserDefinedTableFunction._Fields>`

#### getFieldValue

    public Object getFieldValue​(TUserDefinedTableFunction._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TUserDefinedTableFunction,​TUserDefinedTableFunction._Fields>`

#### isSet

    public boolean isSet​(TUserDefinedTableFunction._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TUserDefinedTableFunction,​TUserDefinedTableFunction._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TUserDefinedTableFunction that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TUserDefinedTableFunction other)

Specified by:
  `compareTo` in interface `Comparable<TUserDefinedTableFunction>`

#### fieldForId

    public TUserDefinedTableFunction._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TUserDefinedTableFunction,​TUserDefinedTableFunction._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`